Privage Open API
    Open API
    • Open API
    • Welcome to Privage Open API Documents
    • Get Access Token
      POST
    • Renew Access Token
      POST
    • Exchange Access Token
      POST
    • Get Current Add-On status
      GET
    • Get Profile
      GET
    • Add Point
      POST
    • Burn Point
      POST
    • Void Transaction By Id
      DELETE
    • Void Transaction By RefNo
      DELETE
    • Void Transaction By RefId
      DELETE
    • Get Campaign
      GET
    • Get Transaction
      GET
    • Get Coupon Set
      GET
    • Create Coupon Set
      POST
    • Give Coupon to Member ID
      POST
    • Get Give Coupon History
      GET
    • Void Give Coupon
      DELETE
    • Get Transaction
      GET
    • Check Coupon
      GET
    • Mark Use Coupon
      POST

      Void Transaction By RefId

      สำหรับผู้ใช้ทั่วไป (Privage Open API)
      https://core.privageapp.com
      สำหรับผู้ใช้ทั่วไป (Privage Open API)
      https://core.privageapp.com
      DELETE
      /api/v1/connect/void/points-by-ref-id/{ref_id}
      วอยด์รายการโดยใช้รหัส Transaction Refernce ID

      Request

      Path Params

      Responses

      🟢200OK
      application/json
      Body

      🟠401Unauthorized
      Request Request Example
      Shell
      JavaScript
      Java
      Swift
      curl --location --request DELETE 'https://core.privageapp.com/api/v1/connect/void/points-by-ref-id/'
      Response Response Example
      200 - Example 1
      {
          "transactionId": "string",
          "amount": 0,
          "points": 0,
          "pointsType": "string",
          "receiveType": "string",
          "refNo": "string",
          "refId": "string"
      }
      Modified at 2026-04-18 11:08:22
      Previous
      Void Transaction By RefNo
      Next
      Get Campaign
      Built with